[% PROCESS 'html-incblocks.txt' %]
[% thepath=path(token) %]
[% INCLUDE htmlstart title=thepath printpath=1 %]

<!-- content template file is 'default-recursivedir.html' -->
<h1>[% xmlnorm(nodeParam(token,'comment')) %]</h1>

[% INCLUDE legend %]

[%#  ###########    Recursively print the children   ################ %]

[% BLOCK recursiveChildren;
     firstitem = 0;
     FOREACH child = sortTokens(children(token));
       hidden = 0;
       IF nodeParam(child,'hidden') == 'yes';
         hidden = 1;
       END;
       IF isAlias(child);
         thisIsAlias = 1;
         urlTitle = 'Symbolic link to ' _ path(isAlias(child));
       ELSE;
         urlTitle = nodeParam(child,'comment',1);
       END;
       IF not hidden or variables.SHOWHIDDEN; %]
[% IF not firstitem; firstitem = 1 %]
<ul class="Listing">
[% END %]
  <li class="RecursiveListRow">
    <span class="NodeName">
    [%- thisIsAlias ? '<em class="Alias">':'';
       hidden ? '<em class="ShowHidden">':'' %]
    <a href="[%url(child)%]"
       title="[%urlTitle%]">[% nodeName(child) %]</a>
    [%- hidden ? '</em>':'';  thisIsAlias ? '</em>':''; %]
    </span>
[% INCLUDE recursiveChildren token=child %]
  </li>
[%-    END;
     END %]
[% IF firstitem %]
</ul>
[% END;
  END %]


<h2>Nodes you can jump to:</h2>
[% INCLUDE recursiveChildren token=token %]

<p class="BottomShortcuts">
[% INCLUDE shortcut url=url(token) text="Default view"
                     title="Restore default subtree view";
   INCLUDE overviewShortcuts
%]
</p>

[% INCLUDE bottomline %]
[% INCLUDE htmlend %]
